#pragma once

#include "../base/BaseTask.hpp"


namespace drp::task {


class ClientTask final : public BaseTask {
public:
    void handle(Context& context) override;

    /**
     * Set this task as the current one.
     * @param context the context to apply the state on.
     * @param server the server to use.
     */
    static void use(Context& context, const std::shared_ptr<RemotePeer>& server);
};


}
